package br.mp.mprj.portal.portlet.gestaomensagens.util;


import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
import com.mashape.unirest.http.exceptions.UnirestException;

import java.util.HashMap;


public class ApiUtil {
	
	private static Log _log = LogFactoryUtil.getLog(ApiUtil.class);
	private static String BARRA = "/";
	
	public static HashMap<String, String> getHeaders(String token) {
		HashMap<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization","Bearer " + token);
		headers.put("Accept", "application/json");
		headers.put("Content-Type", "application/json");

		return headers;
	}
	public static String getJsonResultado(String urlWS, String paramWS, String token) throws Exception {

		HttpResponse<String> resultadoArray;
		String resultado = "";
		
		StringBuilder sb = new StringBuilder();
		sb.append(urlWS);
		sb.append(BARRA);
		sb.append(paramWS);
		sb.append(BARRA);
		sb.append(paramWS);
		sb.append(BARRA);
		sb.append(paramWS);
		sb.append(BARRA);
		sb.append(paramWS);
		
		String urlWSO2 = sb.toString();
		
		try {
			resultadoArray = Unirest.get(urlWSO2).headers(getHeaders(token)).asString();
			resultado = resultadoArray.getBody();
			
		} catch (UnirestException e) {
			_log.error("Não foi possível recuperar a listagem",e);
		}
		
		System.out.println(resultado);
		return resultado;
	}
}
